eclipse安装完对应的sts插件后按alt+/却不能提示属性值

求教各位大佬:我eclipse安装了sts插件,配置spring中的bean标签下的property标签时按alt+/能自动提示name,value等,但进一步name=""时按alt+/却不能自动提示name里的东西。eclipse左下角提示:Content Assist not available at the current location图片说明

2个回答

安卓编辑xml时,如果其他文件里按alt+/都可以正常提示出来,唯有你编辑的这个只出来几个公用的属性,那么请问你是否这些控件写在某个自定义可嵌套控件之内,自定义的可嵌套控件之内写的是识别不了的,你可以暂时不要用这个自定义类,等布局完成了再替换过去。如果解决了你的问题请顶一下

youknow_xin
youknow_xin 我想做的这个是javaweb的项目,现在在做用spring整合hibernate的配置。跟android无关,也没定义什么自定义的控件。谢谢~
接近 2 年之前 回复

对照着安装过程中的提示,我的eclipse应该先装一个neon插件先,就可以再成功安装sts插件和使用了。
NEON - http://download.eclipse.org/releases/neon

Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!
其他相关推荐
Eclipse插件STS及STS软件
当年学习Spring时,老师为了“锻炼"我们背API,一直隐瞒了eclipse有一个孪生哥哥的真相。真真是应了毛爷爷那句话“美帝主义亡我之心不死!”。今天学习SpringBoot再选择工具时突然想起来这回事,简要记录下,万一能拯救一下被“锻炼”的小白,也算是功德一件了。 作用其实很简单,有一些配置信息,其实是可以一键生成。但是如果你不做配置,就要一个字母一个字母的手敲。 1.eclipse+STS...
sts插件,eclipse集成sts插件
sts插件,eclipse集成sts插件,sts插件,eclipse集成sts插件.
Eclipse安装了STS插件后Shift+Ctrl+O就失效了
Eclipse安装了STS插件后Shift+Ctrl+O(自动import)就失效了, 也没有快捷键冲突, 原本Eclipse的Shift+Ctrl+O是可以用的, 安了插件就失效了, 无论是4.6, 4.7 安装STS插件后都会失效, 连新下载的STS-Eclipse都不能用Shift+Ctrl+O, 是只有我有这情况, 还是大家都这样?
eclipse3.7 安装spring tool suite
打开eclipse,点击help--------------------->install new software, 点击add, 黏贴 http://dist.springsource.com/release/TOOLS/update/e3.7,在线安装 打开spring tool suite 选择对应的eclipse版本对应的 archive 压缩文件
eclipse集成sts插件
IDE这块还是对eclipse比较熟悉,毕竟用的时间比较久。如果是idea就不用自己集成插件,从这点来讲,还是idea比较好用。 之前用的idea版本是4.5.2,对照网上集成方式没有报错,最后就是没有集成成功。略坑,不过还好,自己动手丰衣足食。 解决思路: 卸载当前elipse,安装个最新版的。我的是解压版,直接删除解压包,当然不要忘了删C:\Users\hanss\.eclipse,ha...
sts eclipse 反编译插件
下载后解压,把文件放到\sts-bundle\sts-3.6.3.SR1\dropins 下就可以,原来在网上找了很多有的很复杂,试了几个不行,在同学那里得到了这一个,解压后放过去,重启sts就可以了,很简单。重在分享,但是最低一下载分,下载后的同学成功了可以评论下,以便让更多人看到,谢谢,假如没分的话,评论留言,看到我会回复的
eclipse集成STS插件
eclipse4.5集成所需的Spring插件 eclipse4.5集成所需的Spring插件 eclipse4.5集成所需的Spring插件
Eclipse STS插件
Eclipse STS插件Eclipse STS插件Eclipse STS插件Eclipse STS插件Eclipse STS插件Eclipse STS插件
Eclipse安装STS插件
1.查看自己Eclipse的版本           Help  -->  About Eclipse           2.官网地址:http://spring.io/tools/sts/all 3.找到对应Eclipse版本         4.开始安装插件     Help --> Install New Software... --> 
eclipse sts反编译插件
直接在 help -》marketPlace下载安装反编译差件 .先试试随便打开一个.class的文件,如果可以,OK. 如果上一步还是打不开,找到Windows->Preferences->Editors->File Associatior,查看.class的打开方式,设置.class的默认打开方式为下载的反编译器方式,然后再试试是否可以打开.class文件。 如果上一步还是打不开,那么还是重
为什么在eclipse里 按alt + ?号提示后总有一个 “” ???
为什么在eclipse里 按alt + ?号提示后总有一个 “” ???
eclipse安装完PyDev后不显示
问题描述:eclipse安装完PyDev后,Window->Preference下面不显示,且安装过程中出现如下提示:                                                 问题分析:版本不适配问题,我的eclipse版本是4.5(Mars),而这里安装的PyDev是5.1.2,eclipse相对来                    说过新了
安装完win10后Eclipse好看多了
估计是win10的默认字体好看,升级到win10后eclipse看起来舒服多了
安装完qt_va_admin_1.1.7.ext插件后,启动报错?
为什么我的电脑安装完qt_va_admin_1.1.7.ext插件后,在启动Vs2010后,会有错误窗口调出,rnUnalbe to find a version of the runtime to run this application?rnrn是还不什么插件吗?请高手指点
STS 安装完 lombok 后无法打开的解决办法
首先,要将lombox.jar放在与STS.exe平级的目录下,然后安装完了以后可能会出先打不开的情况。这个时候只要打开STS.ini文件。 然后修改文件保存 最后的  -javaagent:lombok.jar   后面的名字和jar包的名字相同。...
在eclipse中正确安装了STS插件后,yml文件没有提示的问题!
问题出现的场景: 1.在eclipse中已经正确完美的安装了STS。 2.properties文件有绿色叶子图标。 没有提示的解决方案:在这样的场景下,其实问题就很简了。 ...
eclipse中安装sts插件
eclipse中安装sts插件 打开Eclipse 点击Help–>Eclipse Macketplace–>搜索sts,并且安装 安装成功之后会提示重启Eclipse sts插件安装成功!
eclipse和STS安装svn插件
1、下载subeclipse插件,下载地址[http://subclipse.tigris.org/servlets/ProjectDocumentList?folderID=2240 2、根据svn版本下载subeclipse插件的版本一般是下载 3、将下载好的插件解压并在STS或者eclipse中创建Plugins文件夹,将解压后的插件复制到这个文件夹。 4、在STS或者eclipse中创建d...
Eclipse在线安装STS插件
spring Boot是由Pivotal团队提供的全新框架,其设计目的是用来简化新Spring应用的初始搭建以及开发过程。该框架使用了特定的方式来进行配置,从而使开发人员不再需要定义样板化的配置。通过这种方式,Boot致力于在蓬勃发展的快速应用开发领域(rapid application development)成为领导者。也就是说,Spring Boot是为了简化Spring开发而生,主要思想是...
Eclipse中安装STS插件
最省事儿方案 1、打开Eclipse,并确保电脑联网; 2、Help-->Eclipse MarketPlace 3、选择popular页面,下拉选(也可搜索)STS,点击右下角Install即可(因本人已安装,此图为安装后所截图,固有出入,忽略哈~~) 4、根据提示操作,无法确认需要添加哪些支持插件,全选即可 5、等待…… 6、安装成功后重启,有这个小绿叶
eclipse sts插件的一个坑
开始我也是直接在eclipse => help => eclipse marketplace..中的popular中看到就直接下载了,然后接下来就悲剧了,无法启动主类。因为我之前是用idea的,不用下这个插件。然后我看了下我什么都还没写呢,怎么就直接给了我这么大一个惊喜。 之后通过百度才知道eclipse要和sts版本对应的,进入http://spring.io/tools/sts/...
eclipse 安装sts插件失败
提示错误:rnAn error occurred while collecting items to be installedrnsession context was:(profile=epp.package.committers, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=).rnNo repository found containing: osgi.bundle,org.eclipse.mylyn.wikitext,3.0.18.20170823144938rnUnable to read repository at http://dist.springsource.com/release/TOOLS/update/3.9.0.RELEASE/e4.6/plugins/org.springframework.context.source_4.3.0.20160611-RELEASE.jar.rnRead timed outrnUnable to read repository at http://dist.springsource.com/release/TOOLS/update/3.9.0.RELEASE/e4.6/plugins/org.springframework.ide.eclipse.quickfix.source_3.9.0.201707061730-RELEASE.jar.rnRead timed outrnUnable to read repository at http://dist.springsource.com/release/TOOLS/update/3.9.0.RELEASE/e4.6/plugins/org.springsource.ide.eclipse.commons.cloudfoundry.client.v2.source_3.9.0.201707061730-RELEASE.jar.rnConnection resetrn本人想学习下springboot但是一直安装插件出问题 网上也没有类似的springboot使用安装教程 请教
STS(eclipse)安装lombok插件
1、下载lombok.jar包 我的是lombok-1.18.6.jar版本的。 2、将jar包copy到sts安装目录下 D:\Program Files\spring-tool-suite-4-4.2.2.RELEASE\sts-4.2.2.RELEASE 图片为 然后 在cmd中执行 java -jar lombok-1.18.6.jar 选择文件路径,然后安装jar。 然...
在线安装Eclipse插件时,出现错误
在安装Eclipse插件时,总是出现 An error occurred while collecting items to be installed session context was:(profile=epp.package.jee, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, act
Eclipse 安装STS插件报错
想在eclipse中跑一个Spring Boot应用,所以安装一个Spring tool Suite插件,发现一只提示找不到http://download.springsource.com/release/TOOLS/update/e4.4/,重启很多遍都不行,后来浏览器访问,发现这个地址压根就要墙才能下载。扯蛋,挂全局代理,再试搞掂!...
STS配置Thymeleaf 插件提示
下载插件:https://github.com/thymeleaf/thymeleaf-extras-eclipse-plugin/releases 解压插件,将插件文件夹命名为thymeleaf,只保留features和plugins目录,将thymeleaf文件夹复制到sts安装目录中的dropins中,重启sts, 配置schema,下载:http://www.thymeleaf.org...
eclipse安装svn插件和sts插件
首先安装svn插件,我都是采用离线安装的方式,首先下载svn包 我下载的版本是1.8.2的版本, 之后直接解压文件到eclipse的dropins文件夹下面 再重启eclipse即可, 2、安装sts(主要目的是用来搭建SpringBoot项目用的)首先查看你的eclipse版本 本人使用的是4.8.0刚从官网上下载的,然后从sts官网下载对应的压缩文件 https://s...
eclipse安装Spring-Tool-Suite(STS)插件无法找到对应的版本问题
近期学习springBoot,需要eclipse集成SpringBoot,首先需要安装一个STS插件。然后按照网上给定的安装流程去官网http://spring.io/tools/sts/all找到了自己对应的版本,楼主用的eclipse版本是mars2 4.5.2。在官网上对应的找到两个下载,以下的两个版本必须要选择以updatesite结尾的压缩文件下载才可以,否则eclipse上会显示找不到...
jdk4.2+tomcat5.0 安装完后不好用?????
这两个东西我都安装了,但是输入http://localhost:8080说该页无法显示rnrn什么原因,还需要配置什么吗,还有我有个JSP项目,我想发布,如果好用了,我放在哪???
安装完VS.NET后的问题
有一个很奇怪的问题:今天安装完VS.net2003后我的XP居然不能自动登陆了,每次都要点自己的名字,很是麻烦。改注册表,加了条AutoAdminLogon后也不管用,明明设值为1,可重启后系统改为0了。不知道大家有没有碰到过,恳请高手请教!
程序员安装完Ubuntu后
安装完Ubuntu后希望做的一些事
oracle的安装完后,管理问题
成功安装ORACLE,安装后完成后,执行dbca出现不能找不到jre的错误。rn链接java到jre,dbca正确执行,成功创建数据库/数据仓库。rn执行oemapp console出现如下错误:rnrn[oracle@do bin]$ ./oemapp consolernUnrecognized option: -nojitrnCould not create the Java virtual machine.rnrnrn[oracle@do bin]$ ./oemctl status omsrnUnrecognized option: -nojitrnCould not create the Java virtual machine.rnrn如何解决上面的问题?
安装完c++ builder6.0后
再安装完c++ builder6.0后,试了第一个程序,报错,说是动态连接库找不到了(可能是安装盘的问题),然后拷贝dll导制定的搜索目录下(可能再IDE中可以设置,不过没找到),最后做了简单程序,弹出窗口,编译成功,运行成功,然后将该EXE文件拷贝导另一文件夹下,报无法连接DLLrn(因本人测试的这个程序是在C++ builder6.0的按装目录下的,所以可以运行。rn我想问的是不是在C++ builder6.0中生成的每个执行文件都必须同dll关联阿,如果我放到其他机器或这是放到其他文件夹下运行是不是也得把需要用到得dll也拷贝过来阿?这样好麻烦
Linux 下如何安装 zookeeper
①: —————————————————————分割线————————————————————— ②: —————————————————————分割线————————————————————— ③: —————————————————————分割线————————————————————— ④: —————————————————————
ubuntu-12.04.1-server-i386 安装完后无法启动
安装过程是分了两个盘,一个20G用于系统安装,挂载在根目录下,另一个480G挂载在用户目录下,都是ext4文件系统,但安装完重新启动进到grub界面后就是黑屏了,之后就没有反应了,一直以为是系统起不来,一次次的重新安装,但后来发现屏幕的最上方有白点在闪烁,然后就输入用户名、用户密码,发现其实是启动起来了,因为 sudo reboot 是可以用的!rn有时屏幕也会从中间开始输出内容,右侧放不下时会接着从屏幕最左边显示,真搞不懂什么原因,难道硬件原因?望有类似经历的大牛帮忙!![img=https://forum.csdn.net/PointForum/ui/scripts/csdn/Plugin/001/face/83.gif][/img]
yum更新时不升级内核的方法
CentOS7.1 1.yum -y --exclude=kernel* update 2.编辑此文件 [root@test ~]# cat /etc/yum.conf  [main] cachedir=/var/cache/yum/$basearch/$releasever keepcache=0 debuglevel=2 logfile=/var/log/yum.l
jdk1.4安装完后的包
jdk1.4安装完之后的包,属于绿色版本的!有需要的可以下下来用一下
当我安装完NGWS后
当我安装完NGWS后,打开任意一个工程,然后按F5调试运行,这时系统报错“试图运行项目时出错,无法启动调试器。”可原来是没有问题的,为什么?
安装完ubuntu系统后的优化
安装完ubuntu系统后的优化下面给出一些安装完ubuntu系统后,为了更好的使用需要做的一些事:1.卸载掉系统自带的不好用或者基本不用的软件 卸载掉Amazon软件 sudo apt-get remove unity-webapps-common 卸载掉一些基本不使用的软件和游戏 sudo apt-get remove thunderbird(邮箱) sudo apt-get remove
安装完vs2003后的问题
安装完vs2003后rn出现了这样的错误:rnWindows Installer 代理信息没有正确地注册。rn怎么回事?rnrnrn
相关热词 c#检测非法字符 c#双屏截图 c#中怎么关闭线程 c# 显示服务器上的图片 api嵌入窗口 c# c# 控制网页 c# encrypt c#微信网页版登录 c# login 居中 c# 考试软件